Package org.jfree.layouting.renderer.model.table.cols

## Interface TableColumnModel

- All Superinterfaces:
    `java.lang.Cloneable`
  All Known Implementing Classes:
    `AbstractColumnModel`, `SpearateColumnModel`

      public interface TableColumnModel
      extends java.lang.Cloneable

  Creation-Date: 21.07.2006, 19:20:44
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addAutoColumn​()` |
    `void` | `addColumnGroup​(TableColumnGroup column)` |
    `java.lang.Object` | `clone​()` |
    `long` | `getBorderSpacing​()` |
    `TableColumn` | `getColumn​(int i)` |
    `int` | `getColumnCount​()` |
    `TableColumnGroup` | `getColumnGroup​(int i)` |
    `int` | `getColumnGroupCount​()` |
    `TableColumnGroup` | `getGroupForIndex​(int i)` |
    `long` | `getMinimumChunkSize​()` |
    `long` | `getPreferredSize​()` |
    `boolean` | `isIncrementalModeSupported​()` |
    `void` | `validateSizes​(TableRenderBox tableRenderBox)` |

- - ### Method Detail

    - #### addColumnGroup

          void addColumnGroup​(TableColumnGroup column)

    - #### addAutoColumn

          void addAutoColumn​()

    - #### isIncrementalModeSupported

          boolean isIncrementalModeSupported​()

    - #### getColumnGroupCount

          int getColumnGroupCount​()

    - #### getColumnCount

          int getColumnCount​()

    - #### validateSizes

          void validateSizes​(TableRenderBox tableRenderBox)

    - #### getPreferredSize

          long getPreferredSize​()

    - #### getMinimumChunkSize

          long getMinimumChunkSize​()

    - #### getColumnGroup

          TableColumnGroup getColumnGroup​(int i)

    - #### getColumn

          TableColumn getColumn​(int i)

    - #### getBorderSpacing

          long getBorderSpacing​()

    - #### getGroupForIndex

          TableColumnGroup getGroupForIndex​(int i)

    - #### clone

          java.lang.Object clone​()
                          throws java.lang.CloneNotSupportedException

      Throws:
        `java.lang.CloneNotSupportedException`